这是一个
涨姿势的站点

Aria2整合KODExplorer实现自建离线下载网盘 私人云盘

截图

  • Aria2
  • KODExplorer

安装过程

安装宝塔

yum install -y wget && wget -O install.sh http://download.bt.cn/install/install.sh && sh install.sh

这里假设你的lnmp都已经安装好了

安装 Aria2

yum install wget -y&&wget -N --no-check-certificate https://raw.githubusercontent.com/ToyoDAdoubi/doubi/master/aria2.sh && chmod +x aria2.sh && bash aria2.sh

启动:service aria2 start
停止:service aria2 stop
重启:service aria2 restart
查看状态:service aria2 status
配置文件:/root/.aria2/aria2.conf (配置文件包含中文注释,但是一些系统可能不支持显示中文)
默认密匙:doub.io
下载目录:/usr/local/caddy/www/aria2/Download

下载AriaNg前端面板

链接:https://github.com/mayswind/AriaNg/releases/download/0.2.0/aria-ng-0.2.0.zip

解压压缩包,将AriaNg面板的所有文件上传到你的网站根目录。

现在打开你的网站地址应该就能看到AriaNg的面板页面了。


这里要设置秘钥对接,默认密匙:doub.io。

或者可以使用yaaw,这块相关的工具很多。

下载KODExplorer

链接:https://github.com/kalcaddle/KODExplorer/archive/master.zip
新建cloud文件夹,下载入其中。

可以转载,注明出处。91vps » Aria2整合KODExplorer实现自建离线下载网盘

评论 3

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #3

    安装 Aria2出错
    Error: Package: aria2-1.16.4-1.el6.rf.x86_64 (rpmforge)
    Requires: libgmp.so.3()(64bit)
    Error: Package: aria2-1.16.4-1.el6.rf.x86_64 (rpmforge)
    Requires: libgnutls.so.26()(64bit)
    Error: Package: aria2-1.16.4-1.el6.rf.x86_64 (rpmforge)
    Requires: libgnutls.so.26(GNUTLS_1_4)(64bit)
    You could try using --skip-broken to work around the problem
    ** Found 8 pre-existing rpmdb problem(s), 'yum check' output follows:
    bt-libiconv-1.14-1.el7.centos.x86_64 has missing requires of libcharset.so.1()(64bit)
    bt-libiconv-1.14-1.el7.centos.x86_64 has missing requires of libiconv.so.2()(64bit)
    bt-php-7.0.19-1.el7.centos.x86_64 has missing requires of libiconv
    bt-php-7.0.19-1.el7.centos.x86_64 has missing requires of libmcrypt
    bt-php-7.0.19-1.el7.centos.x86_64 has missing requires of mcrypt
    bt-php-7.0.19-1.el7.centos.x86_64 has missing requires of mhash
    2:postfix-2.10.1-6.el7.x86_64 has missing requires of libmysqlclient.so.18()(64bit)
    2:postfix-2.10.1-6.el7.x86_64 has missing requires of libmysqlclient.so.18(libmysqlclient_18)(64bit)

    null4周前 (11-20)回复
  2. #2

    板凳

    null2个月前 (10-26)回复
  3. #1

    沙发,哈哈哈

    Toosmusic Wen2个月前 (10-26)回复